My Project: dgCollisionParamProxy Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgCollisionParamProxy Class Reference

`#include <dgContact.h>`

## Public Member Functions

| dgCollisionParamProxy (dgContact *const contact, dgContactPoint *const contactBuffer, dgInt32 threadIndex, bool ccdMode, bool intersectionTestOnly)

## Public Attributes

dgMatrix | m_matrix
dgVector | m_normal
dgVector | m_closestPointBody0
dgVector | m_closestPointBody1
dgUnsigned64 | m_shapeFaceID
dgContact * | m_contactJoint
dgBody * | m_floatingBody
dgBody * | m_referenceBody
dgCollisionInstance * | m_floatingCollision
dgCollisionInstance * | m_referenceCollision
dgContactPoint * | m_contacts
dgPolygonMeshDesc * | m_polyMeshData
dgFloat32 | m_timestep
dgFloat32 | m_skinThickness
dgInt32 | m_threadIndex
dgInt32 | m_maxContacts
bool | m_continueCollision
bool | m_intersectionTestOnly

## Constructor & Destructor Documentation

## § dgCollisionParamProxy()

dgCollisionParamProxy::dgCollisionParamProxy | ( | dgContact *const | contact,
|  | dgContactPoint *const | contactBuffer,
|  | dgInt32 | threadIndex,
|  | bool | ccdMode,
|  | bool | intersectionTestOnly
| ) |  |

inline

## Member Data Documentation

## § m_closestPointBody0

dgVector dgCollisionParamProxy::m_closestPointBody0

## § m_closestPointBody1

dgVector dgCollisionParamProxy::m_closestPointBody1

## § m_contactJoint

dgContact* dgCollisionParamProxy::m_contactJoint

## § m_contacts

dgContactPoint* dgCollisionParamProxy::m_contacts

## § m_continueCollision

bool dgCollisionParamProxy::m_continueCollision

## § m_floatingBody

dgBody* dgCollisionParamProxy::m_floatingBody

## § m_floatingCollision

dgCollisionInstance* dgCollisionParamProxy::m_floatingCollision

## § m_intersectionTestOnly

bool dgCollisionParamProxy::m_intersectionTestOnly

## § m_matrix

dgMatrix dgCollisionParamProxy::m_matrix

## § m_maxContacts

dgInt32 dgCollisionParamProxy::m_maxContacts

## § m_normal

dgVector dgCollisionParamProxy::m_normal

## § m_polyMeshData

dgPolygonMeshDesc* dgCollisionParamProxy::m_polyMeshData

## § m_referenceBody

dgBody* dgCollisionParamProxy::m_referenceBody

## § m_referenceCollision

dgCollisionInstance* dgCollisionParamProxy::m_referenceCollision

## § m_shapeFaceID

dgUnsigned64 dgCollisionParamProxy::m_shapeFaceID

## § m_skinThickness

dgFloat32 dgCollisionParamProxy::m_skinThickness

## § m_threadIndex

dgInt32 dgCollisionParamProxy::m_threadIndex

## § m_timestep

dgFloat32 dgCollisionParamProxy::m_timestep

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgContact.h